# $Revision: 1.1 $, $Date: 2009/12/18 22:12:22 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Net
%define	pnam	SMTP-SSL
Summary:	Net::SMTP::SSL - An SMTP client supporting SSL
Summary(pl.UTF-8):	Net::SMTP::SSL - klient SMTP obsługujący SSL
Name:		perl-Net-SMTP-SSL
Version:	1.01
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Net/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ba039288ebf7a343feecacd374da8c1a
URL:		http://search.cpan.org/dist/Net-SMTP-SSL/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-IO-Socket-SSL
BuildRequires:	perl-Net-SSLeay
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net::SMTP::SSL implements the same API as Net::SMTP, but uses
IO::Socket::SSL for its network operations.

%description -l pl.UTF-8
Net::SMTP::SSL implementuje API identyczne z Net::SMTP, ale używa
IO::Socket::SSL do operacji sieciowych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Net/SMTP/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Net-SMTP-SSL.spec,v $
Revision 1.1  2009/12/18 22:12:22  hawk
- new spec, based on perl-Net-SMTP-TLS

